Subject: Re: bug#66068: 30.0.50; xwidget-webkit-browse-url makes Emacs abort

From: Ramon Diaz-Uriarte <[email-masked]>
Date: Mon, 11 Dec 2023 22:03:02 +0100

On Sun, 10-December-2023, at 14:36:09, Stephen Berman <[email-masked]> wrote:
>
> I would really like to know why xwidget-webkit-browse-url works with -q
> -xrm "emacs.synchronous: true" only under gdb and crashes otherwise.
> And also why Ramon Diaz-Uriarte does not get a crash: it seems to me
> unlikely that it started working with webkitgtk 2.42.2 but stopped again
> with 2.42.3 (I cannot readily try with 2.42.2 now).

In my main machine, it does not crash with 2.42.2 and did not crash, either, with 2.42.1. However, I just tried on a different machine (also Debian, also XMonad as window manager), with 2.42.2, and it crashes.

And it crashes for other people too with other versions of Linux, etc:

https://old.reddit.com/r/emacs/comments/17g6npv/xwidgetwebkit_has_started_crashing_emacs_sessions/

So that it does not crash in my main machine might be some happy exception.

Best,

R.

>
> Steve Berman
>
> [2. application/octet-stream; core-backtrace]...